---
---

message d'explication
bouton "accepter tout" strictement identique au refuser tout
bouton "refuser tout" accessible au premier niveau
bouton "je choisis" qui déplierait une liste des providers avec une checkbox pour chacun

<aside>
  <h2>Gérer vos cookies</h2>
  <p>Faites ce que vous voulez</p>
  <div class="choices">
    <button type="button" id="cookie-accept">Accepter tout</button>
    <button type="button" id="cookie-reject">Refuser tout</button>
    <button type="button" id="cookie-custom">Choisir...</button>
  </div>
  <form class="custom-choices" aria-hidden="false">
    <ul>
      <li>
        <h3>YouTube</h3>
        <p>Affiche des vidéos embed</p>
        <input type="checkbox" name="cookie_youtube" id="cookie_youtube">
      </li>
      <li>
        <h3>Facebook</h3>
        <p>Affiche votre fil</p>
        <input type="checkbox" name="cookie_facebook" id="cookie_facebook">
      </li>
      <li>
        <label for="cookie_x">
          <strong>X</strong>
          <p>Affiche du X</p>
          <input type="checkbox" name="cookie_x" id="cookie_x">
        </label>
      </li>
    </ul>
    <button type="submit">Enregistrer</button>
  </form>
</aside>

<style>
  label:has(input:checked) {
    background-color: green;
  }
  .custom-choices {
    display: none;
  }
  .custom-choices ul {
    margin: 0;
    padding-left: 0;
  }
  .custom-choices[aria-hidden="false"] {
    display: block;
  }
  form > button {
    color: red;
  }
</style>

<script>
  const formChoices = document.querySelector('.custom-choices');
  const choicesBtn = document.querySelector('#cookie-custom');

  choicesBtn.addEventListener('click', () => {
    const previousAria = formChoices.getAttribute('aria-hidden');

    if (previousAria === 'true') {
      formChoices.setAttribute('aria-hidden', 'false');
      return;
    }

    formChoices.setAttribute('aria-hidden', 'true');
  });

  formChoices.addEventListener('submit', (event) => {
    event.preventDefault();
    
    const data = new FormData(formChoices);

    const jsonCookie = {};
    for (let item of data.entries()) {
      jsonCookie[item[0]] = item[1];
    }

    window.localStorage.setItem('cookie_preferences', JSON.stringify(jsonCookie));
  })
</script>

